#!/usr/bin/python

import threading
import commands
import sys

from time import sleep

total_mem = 0
used_mem = 0

zone=str(sys.argv[1])

host_list_cmd = "nova service-list|grep nova-compute|grep enabled|awk '{print $6,$8}'|grep %s$|awk '{print $1}'" % zone
host_list=commands.getoutput(host_list_cmd).split()

class myThread(threading.Thread):
        
        def run(self):
 
            global total_mem
            global used_mem
       
            host_describe_cmd = "nova host-describe %s|grep 'total\|used_now'|awk '{print $8}'" % host
            mem_stat=commands.getoutput(host_describe_cmd).split()
           
            total_mem += float(mem_stat[0])
            used_mem += float(mem_stat[1])

threads = []


for host in host_list:
    th = myThread()
    th.start()
    sleep(0.05)
    threads.append(th)


for th in threads:
        th.join()


print ((used_mem / total_mem) * 100)
